<?php
session_start();
if (!isset($_SESSION['codigo_empresa'])) {
    header("Location: inicio.php");
    exit();
}
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Menú Principal</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
            background-color: #f8f9fa;
        }
        .navbar-nav .nav-link {
            color: white !important;
            padding: 10px 15px;
    		border-radius: 10px;
        }		
        .navbar-nav .nav-link:hover {
            background-color: #007bff;
        }
        .navbar-nav .logout-btn {
            background-color: #dc3545;
            color: white !important;
            border-radius: 20px;
        }
        .navbar-nav .logout-btn:hover {
            background-color: #bd2130;
        }
		.navbar-collapse {
    		transition: max-height 0.5s ease-in-out;
		}
		.logout-btn {
    		width: 100%;
		}


    </style>
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
    <div class="container-fluid">
        <a class="navbar-brand" href="menu.php">Menú Principal</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link" href="#">Ruta del Vendedor</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="map3.php">Pedidos del Vendedor</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="mapa.php">Vendedor en Tiempo Real</a>
                </li>
            </ul>
            <ul class="navbar-nav ms-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link logout-btn" href="cerrar.php">Cerrar Sesión</a>
                </li>
            </ul>
        </div>
    </div>
</nav>

<div class="container mt-5">
    <h1 class="text-center">Bienvenido al sistema</h1>
    <p class="text-center">Seleccione una de las opciones del menú para continuar.</p>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
