<?php
	session_start();
	include('conexion.php');

	if ($_SERVER["REQUEST_METHOD"] == "POST") {
		$codempresa = $_POST['codempresa'];
		$clave = $_POST['clave'];

		$query = "SELECT * FROM usuarios WHERE codigo_empresa = '$codempresa' AND clave = '$clave'";
		$result = mysqli_query($conn, $query);

		if (mysqli_num_rows($result) > 0) {
			$_SESSION['codempresa'] = $codempresa;
			$row = mysqli_fetch_assoc($result); 
			$_SESSION['nomempresa'] = $row['nombre'];
		} else {
			echo "<script>alert('Código o clave incorrectos'); window.location='index.php';</script>";
			exit;
		}
	}

	if (!isset($_SESSION['codempresa'])) {
		header('Location: index.php');
		exit;
	}
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>SAVAD Tracker</title>
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <style>
        
        .menu-container {
            margin-top: 50px;
            text-align: center;
        }
        .menu-title {
            font-size: 1.8rem;
            margin-bottom: 30px;
        }
        .card {
            transition: all 0.3s ease;
            margin-bottom: 20px; /* Espacio entre las tarjetas */
            border-radius: 20px; /* Bordes redondeados */
            cursor: pointer; /* Cambia el puntero a mano */
        }
        .card:hover {
            transform: scale(1.05);
            box-shadow: 0px 8px 20px rgba(0, 0, 0, 0.2);
        }
        .card-body i {
            font-size: 3rem;
            color: #007bff;
        }
        .top-right {
            position: absolute;
            top: 20px;
            right: 20px;
            display: flex;
            align-items: center;
        }
        .tracker-title {
            font-size: 1.5rem;
            color: black;
            margin-right: 15px;
        }
        .logout-btn {
            margin-left: 10px;
        }
        /* Ajustes para pantallas pequeñas */
        @media (max-width: 768px) {
            .card-body i {
                font-size: 2.5rem; /* Íconos más pequeños en pantallas pequeñas */
            }
            .menu-title {
                font-size: 1.5rem; /* Título más pequeño en pantallas pequeñas */
            }
            .tracker-title {
                font-size: 1.2rem; /* Título SAVAD más pequeño en pantallas pequeñas */
            }
        }
    </style>
</head>
<body>
    <!-- Nombre SAVAD Tracker y botón de cerrar sesión en la esquina superior derecha -->
    <div class="top-right">
        <span class="tracker-title">Bienvenido <?php echo $_SESSION['nomempresa']; ?></span>
        <a href="logout.php" class="btn btn-danger logout-btn">Cerrar Sesión</a>
    </div>

    <div class="container menu-container">
		<h3><span class="tracker-title">SAVAD Tracker</span></h3>
        <div class="row">
            <!-- Primera opción con nuevo ícono -->
            <div class="col-md-4 col-sm-6">
                <a href="ubicacion.php" style="text-decoration: none; color: inherit;">
                    <div class="card">
                        <div class="card-body">
                            <i class="fas fa-map-marked"></i> <!-- Ícono actualizado -->
                            <h5 class="card-title mt-3">Ubicación</h5>
                            <p class="card-text">Ver ubicacion en tiempo Real del Vendedor.</p>
                        </div>
                    </div>
                </a>
            </div>
            
            <!-- Segunda opción -->
            <div class="col-md-4 col-sm-6">
                <a href="ruta.php" style="text-decoration: none; color: inherit;">
                    <div class="card">
                        <div class="card-body">
                            <i class="fas fa-route"></i>
                            <h5 class="card-title mt-3">Rutas</h5>
                            <p class="card-text">Revisa e Imprime las rutas de Vendedores.</p>
                        </div>
                    </div>
                </a>
            </div>

            <!-- Tercera opción 
            <div class="col-md-4 col-sm-6">
                <a href="opcion3.php" style="text-decoration: none; color: inherit;">
                    <div class="card">
                        <div class="card-body">
                            <i class="fas fa-users"></i>
                            <h5 class="card-title mt-3">Vendedores</h5>
                            <p class="card-text">Reportes de Ventas.</p>
                        </div>
                    </div>
                </a>
            </div>
-->
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.2/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>



