<?php
session_start();

header('Content-Type: application/json');

$servername = "localhost";
$username = "enviofac_usergps";
$password = "GtZSfBS8Mqrt";
$dbname = "enviofac_ubicaciones";

$conn = new mysqli($servername, $username, $password, $dbname);

if ($conn->connect_error) {
    echo json_encode(["status" => "error", "message" => "Conexión fallida: " . $conn->connect_error]);
    exit();
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $codigovendedor = $_POST['codigo_vendedor'] ?? null;
    $latitud = isset($_POST['latitud']) ? (float)$_POST['latitud'] : null;
    $longitud = isset($_POST['longitud']) ? (float)$_POST['longitud'] : null;
    $fecha = $_POST['fecha'] ?? null;
    $hora = $_POST['hora'] ?? null;
    $empresa = $_POST['codigo_empresa'] ?? null;
    $sesion = isset($_POST['sesion']) ? (int)$_POST['sesion'] : null;
    $primer = isset($_POST['primer']) ? (int)$_POST['primer'] : null;

    if ($codigovendedor && $latitud !== null && $longitud !== null && $fecha && $hora && $empresa && $sesion !== null && $primer !== null) {
        $sql = "INSERT INTO servicogps (codigovendedor, latitud, longitud, fecha, hora, empresa, sesion, primer) VALUES (?, ?, ?, ?, ?, ?, ?, ?)";
        $stmt = $conn->prepare($sql);

        if ($stmt) {
            $stmt->bind_param("sddsssii", $codigovendedor, $latitud, $longitud, $fecha, $hora, $empresa, $sesion, $primer);
            if ($stmt->execute()) {
                echo json_encode(["status" => "success", "message" => "Datos guardados correctamente"]);
            } else {
                echo json_encode(["status" => "error", "message" => "Error al guardar los datos: " . $stmt->error]);
            }
            $stmt->close();
        } else {
            echo json_encode(["status" => "error", "message" => "Error en la preparación de la consulta: " . $conn->error]);
        }
    } else {
        echo json_encode(["status" => "error", "message" => "Faltan datos o datos inválidos en la solicitud"]);
    }
} else {
    echo json_encode(["status" => "error", "message" => "Método no permitido"]);
}

$conn->close();
