<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
session_start();
include('conexion.php');

if (!isset($_SESSION['codempresa'])) {
    header('Location: index.php');
    exit;
}

$empresa = $_SESSION['codempresa'];
$sql_vendedores = "SELECT * FROM vendedor WHERE empresa = '$empresa'";
$result_vendedores = $conn->query($sql_vendedores);



$vendedor_id = isset($_GET['vendedor_id']) ? $_GET['vendedor_id'] : "";
$start_date = isset($_GET['start_date']) ? $_GET['start_date'] : "";
$end_date = isset($_GET['end_date']) ? $_GET['end_date'] : "";
/*
$sql_locations = "
SELECT 
    vendedor, 
    empresa, 
    ROUND(latitude, 4) AS latitude, 
    ROUND(longitude, 4) AS longitude,
    MIN(DATE_FORMAT(timestamp, '%Y-%m-%d %H:%i:%s')) AS timestamp,
    MIN(DATE_FORMAT(timestamp, '%H:%i:%s')) AS hora,
    cliente, 
    AVG(CAST(REPLACE(valor, '$', '') AS DECIMAL(10, 2))) AS valor, 
    tipo 
FROM locations 
WHERE empresa = '$empresa' 
AND tipo = 'P' ";


if (!empty($vendedor_id) && $vendedor_id != "0") {
    $sql_locations .= " AND vendedor = '$vendedor_id'";
}
if (!empty($start_date) && !empty($end_date)) {
    $sql_locations .= " AND DATE(timestamp) BETWEEN '$start_date' AND '$end_date'";
}
$sql_locations .= " GROUP BY vendedor, empresa, ROUND(latitude, 3), ROUND(longitude, 3), cliente, tipo ";
*/
$sql_locations = "
    
    SELECT 
    codigovendedor AS vendedor, 
    empresa, 
    ROUND(latitud, 4) AS latitude, 
    ROUND(longitud, 4) AS longitude,
    MIN(DATE_FORMAT(TIMESTAMP(fecha, hora), '%Y-%m-%d %H:%i:%s')) AS timestamp, 
    MIN(DATE_FORMAT(hora, '%H:%i:%s')) AS hora, 
    '' AS cliente, 
    NULL AS valor, 
    'R' AS tipo 
FROM servicogps 
WHERE empresa = '$empresa' ";

if (!empty($vendedor_id) && $vendedor_id != "0") {
    $sql_locations .= " AND codigovendedor = '$vendedor_id'";
}
if (!empty($start_date) && !empty($end_date)) {
    $sql_locations .= " AND DATE(fecha) BETWEEN '$start_date' AND '$end_date'";
}
if ((!empty($vendedor_id) && $vendedor_id != "0") && (!empty($start_date) && !empty($end_date))) {
	$sql_locations .= " GROUP BY codigovendedor, empresa, ROUND(latitud, 4), ROUND(longitud, 4), tipo,fecha,hora
	 ORDER BY timestamp ASC ";

	//$sql_locations .= ") b ORDER BY timestamp ASC";
	$result_locations = $conn->query($sql_locations);


	$locations = [];
	if ($result_locations->num_rows > 0) {
		while ($row = $result_locations->fetch_assoc()) {
			$locations[] = $row;
		}
	}

	$sql_totales = " SELECT count(*)cuenta,SUM(CAST(REPLACE(valor, '$', '') AS DECIMAL(10, 2))) AS total FROM `locations` where empresa = '$empresa'  and tipo = 'P'";
	if (!empty($vendedor_id) && $vendedor_id != "0") {
		$sql_totales .= " AND vendedor = '$vendedor_id'";
	}
	if (!empty($start_date) && !empty($end_date)) {
		$sql_totales .= " AND DATE(timestamp) BETWEEN '$start_date' AND '$end_date'";
	}
	$sql_totales .= " group by vendedor ";
	$cantidad = 0;
	$valor = 0;
	$result_locations_tot = $conn->query($sql_totales);
	if ($result_locations_tot->num_rows > 0) {
		while ($row1 = $result_locations_tot->fetch_assoc()) {
			$cantidad = $row1['cuenta'];
			$valor = $row1['total'];
		}
	}

	$conn->close();
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Mapa de Rutas</title>
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <style>
        /* Ajuste del espaciado para compensar el menú fijo */
        body {
            padding-top: 56px;
            background-color: #f8f9fa;
        }

        /* Estilo del mapa */
        #map {
            height: 600px;
            width: 100%;
        }

        /* Para animar la visibilidad del contenedor */
        .search-container {
            transition: max-height 0.5s ease-in-out;
            overflow: hidden;
        }

        .navbar-nav .nav-link {
            color: white !important;
            padding: 10px 15px;
            border-radius: 10px;
        }

        .navbar-nav .nav-link:hover {
            background-color: #007bff;
        }

        .navbar-nav .logout-btn {
            background-color: #dc3545;
            color: white !important;
            border-radius: 20px;
        }

        .navbar-nav .logout-btn:hover {
            background-color: #bd2130;
        }

        .navbar-collapse {
            transition: max-height 0.5s ease-in-out;
        }

        .logout-btn {
            width: 100%;
        }
		
        .search-container {
            overflow: hidden;
            transition: height 0.5s ease;
            height: auto; 
        }
        .hidden {
            height: 0;
        }

        /* Estilo para la flecha */
        .arrow-button {
			position: relative;
			left: 50%;
			transform: translateX(-50%);
			margin-top: 10px; /* Espaciado entre el div de búsqueda y la flecha */
			background: transparent;
			border: none;
			cursor: pointer;
			z-index: 1000;
			opacity: 0.8;
			transition: top 0.3s, opacity 0.3s;
		}

        .arrow-button.hidden {
			position: fixed;
			top: 60px; /* Debajo del menú fijo */
			left: 50%;
			transform: translateX(-50%);
			opacity: 0.5;
		}

        .arrow-button:hover {
			opacity: 1;
		}
		
		.floating-button-detalle {
			position: absolute;
			bottom: 70px;
			right: 20px;
			background-color: #007bff;
			color: white;
			border: none;
			border-radius: 50px;
			padding: 10px 20px;
			cursor: pointer;
			z-index: 1000;
			box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.3);
		}

		.floating-panel-detalle {
			position: absolute;
			top: 80px; /* Ajustamos para que aparezca debajo del botón */
			right: 20px;
			width: 300px;
			background-color: white;
			box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.3);
			border-radius: 8px;
			z-index: 1001;
			padding: 15px;
			display: none; /* Volvemos a ocultarlo hasta que se haga clic */
		}


		.panel-header-detalle {
			display: flex;
			justify-content: space-between;
			align-items: center;
			margin-bottom: 10px;
		}

		.ocultar {
			display: none;
		}


    </style>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary fixed-top">
        <div class="container-fluid">
            <a class="navbar-brand" href="menu.php">Menú Principal</a>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav me-auto">
                    <li class="nav-item">
                        <a class="nav-link" href="ubicacion.php">Ubicación del Vendedor</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="reporte.php">Reportes</a>
                    </li>
                </ul>
                <ul class="navbar-nav ms-auto">
                    <li class="nav-item">
                        <a href="logout.php" class="btn btn-danger">Cerrar Sesión</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
	<div id="searchContainer" class="container mt-5 search-container">
		<div class="container mt-5">
			<form method="GET" action="">
				<div class="mb-3">
					<label for="vendedor_id" class="form-label">Seleccionar Vendedor</label>
					<select id="vendedor_id" name="vendedor_id" class="form-select">
						<option value="0">Todos</option>
						<?php while ($vendedor = $result_vendedores->fetch_assoc()): ?>
							<option value="<?php echo $vendedor['codigo']; ?>" 
								<?php echo $vendedor_id == $vendedor['codigo'] ? 'selected' : ''; ?>>
								<?php echo $vendedor['nombre']; ?>
							</option>
						<?php endwhile; ?>
					</select>
				</div>
				<div class="mb-3">
					<label for="start_date" class="form-label">Fecha de Inicio</label>
					<input type="date" id="start_date" name="start_date" class="form-control" value="<?php echo $start_date; ?>">
				</div>
				<div class="mb-3">
					<label for="end_date" class="form-label">Fecha de Fin</label>
					<input type="date" id="end_date" name="end_date" class="form-control" value="<?php echo $end_date; ?>">
				</div>
				<button type="submit" class="btn btn-primary">Filtrar</button>
			</form>
		</div>
	</div>
	<button id="toggle-search" class="arrow-button">
        <i class="fas fa-chevron-up"></i>
    </button>
    <div id="map"></div>
	
	<button id="detallePedidosBtn" class="floating-button-detalle">Detalle</button>

	<div id="detallePedidosPanel" class="floating-panel-detalle ocultar">
		<div class="panel-header-detalle">
			<h5>Detalles de la Ruta</h5>
			<button id="cerrarPedidosPanel" class="btn btn-sm btn-danger">Salir</button>
		</div>
		<div id="pedidoContentPanel"></div>
	</div>


	

    <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"></script>
	<script src="https://unpkg.com/leaflet-routing-machine@3.2.12/dist/leaflet-routing-machine.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script>
        var map = L.map('map').setView([0, 0], 2);

		L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
			maxZoom: 19,
			attribution: '© OpenStreetMap contributors'
		}).addTo(map);

		var locations = <?php echo json_encode($locations); ?>;
		var cantidad31 = <?php echo $cantidad; ?>;
		var valor31 = <?php echo $valor; ?>;

		// Íconos personalizados para el inicio y el final
		var startIcon = L.icon({
			iconUrl: 'https://icons.iconarchive.com/icons/icons-land/vista-map-markers/48/Map-Marker-Push-Pin-1-Chartreuse-icon.png',
			iconSize: [41, 41],
			iconAnchor: [20, 41],
			popupAnchor: [1, -34]
		});

		var endIcon = L.icon({
			iconUrl: 'https://icons.iconarchive.com/icons/icons-land/vista-map-markers/48/Map-Marker-Ball-Pink-icon.png',
			iconSize: [41, 41],
			iconAnchor: [20, 41],
			popupAnchor: [1, -34]
		});
		var peIcon = L.icon({
			iconUrl: 'https://icons.iconarchive.com/icons/gartoon-team/gartoon-misc/128/Gtk-Edit-icon.png',
			iconSize: [41, 41],
			iconAnchor: [20, 41],
			popupAnchor: [1, -34]
		});
		var pIcon = L.icon({
			iconUrl: 'https://icons.iconarchive.com/icons/fatcow/farm-fresh/32/walk-icon.png',
			iconSize: [41, 41],
			iconAnchor: [20, 41],
			popupAnchor: [1, -34]
		});

		if (locations.length > 0) {
			var latlngs = locations.map(function(location) {
				return [location.latitude, location.longitude];
			});

			var polyline = L.polyline(latlngs, {
				color: 'blue',
				weight: 4,
				opacity: 0.7,
				smoothFactor: 1
			}).addTo(map);

			map.fitBounds(polyline.getBounds());

			// Colocar los marcadores personalizados en el inicio y el fin
			L.marker(latlngs[0], { icon: startIcon })
				.bindPopup(`Inicio<br>Latitud: ${latlngs[0][0]}<br>Longitud: ${latlngs[0][1]}`)
				.addTo(map);

			L.marker(latlngs[latlngs.length - 1], { icon: endIcon })
				.bindPopup(`Fin<br>Latitud: ${latlngs[latlngs.length - 1][0]}<br>Longitud: ${latlngs[latlngs.length - 1][1]}`)
				.addTo(map);

			// Agregar marcadores para los puntos intermedios con ícono general
			locations.forEach(function(location, index) {
				//alert(location.cliente);
				if (index !== 0 && index !== locations.length - 1) {
					if(location.tipo === 'R'){
						L.marker([location.latitude, location.longitude], { icon: pIcon })
						.bindPopup(`Latitud: ${location.latitude}<br>Longitud: ${location.longitude}<br>Fecha y Hora: ${location.timestamp}`)
						.addTo(map);
					}else{
						L.marker([location.latitude, location.longitude], { icon: peIcon })
							.bindPopup(`Pedio a: ${location.cliente}<br>Monto: ${location.valor}<br>Latitud: ${location.latitude}<br>Longitud: ${location.longitude}<br>Fecha y Hora: ${location.timestamp}`)
							.addTo(map);
					}
				}
			});
		} else {
			alert('No hay datos para la ruta seleccionada.');
		}
		
		console.log("Datos de locations:", locations);

		
		document.addEventListener("DOMContentLoaded", function () {
			const detallePedidosBtn = document.getElementById("detallePedidosBtn");
			const detallePedidosPanel = document.getElementById("detallePedidosPanel");
			const pedidoContentPanel = document.getElementById("pedidoContentPanel");
			const cerrarPedidosPanel = document.getElementById("cerrarPedidosPanel");

			if (!detallePedidosBtn || !detallePedidosPanel || !cerrarPedidosPanel) {
				console.error("No se encontraron los elementos necesarios");
				return;
			}

			// Mostrar los pedidos en la div flotante
			detallePedidosBtn.addEventListener("click", function (event) {
				event.stopPropagation();  // Evita que otros eventos oculten el panel
				console.log("Botón de detalle clickeado");
				let pedidosHTML = "";

				//locations.forEach(location => {
				//	if (location.tipo !== 'R') {
						pedidosHTML += `
							<div class="pedido-item">
								<strong>Total de Pedidos:</strong> ${cantidad31}<br>
								<strong>Monto:</strong> $${valor31}<br>								
							</div>`;
				//	}
				//});

				if (pedidosHTML === "") {
					pedidosHTML = "<p>No hay pedidos disponibles.</p>";
				}

				pedidoContentPanel.innerHTML = pedidosHTML;
				detallePedidosPanel.style.display = 'block';  // Mostrar el panel
			});

			// Ocultar la div flotante al hacer clic en "Salir"
			cerrarPedidosPanel.addEventListener("click", function () {
				console.log("Botón de cerrar clickeado");
				detallePedidosPanel.style.display = 'none';  // Ocultar el panel
			});

			// Evitar que se cierre el panel al hacer clic dentro de él
			detallePedidosPanel.addEventListener("click", function (event) {
				event.stopPropagation();  // Evita que se cierre accidentalmente
			});

			// Cerrar el panel si se hace clic fuera de él
			document.addEventListener("click", function () {
				detallePedidosPanel.style.display = 'none';  // Ocultar si se hace clic fuera
			});
		});




		
		document.addEventListener("DOMContentLoaded", function () {
			const toggleButton = document.getElementById("toggle-search");
			const searchContainer = document.getElementById("searchContainer");

			toggleButton.addEventListener("click", function () {
				searchContainer.classList.toggle("hidden");

				// Cambiar la flecha y la posición
				if (searchContainer.classList.contains("hidden")) {
					toggleButton.classList.add("hidden");
					toggleButton.innerHTML = '<i class="fas fa-chevron-down"></i>';
				} else {
					toggleButton.classList.remove("hidden");
					toggleButton.innerHTML = '<i class="fas fa-chevron-up"></i>';
				}
			});
		});
		
		document.addEventListener("DOMContentLoaded", function () {
			const filterButton = document.getElementById("filter-btn");
			const startDateInput = document.getElementById("start_date");
			const endDateInput = document.getElementById("end_date");

			filterButton.addEventListener("click", function () {
				const startDate = new Date(startDateInput.value);
				const endDate = new Date(endDateInput.value);

				// Validar si ambas fechas están seleccionadas
				if (!startDateInput.value || !endDateInput.value) {
					alert("Por favor, seleccione ambas fechas antes de filtrar.");
					return;
				}

				// Validar que la fecha inicial sea menor o igual a la fecha final
				if (startDate > endDate) {
					alert("La fecha de inicio debe ser menor o igual a la fecha de fin.");
					return;
				}

				// Si las fechas son válidas, envía el formulario
				document.querySelector("form").submit();
			});
		});
    </script>
</body>
</html>
